%define	upstream_name	 Cache
%define	upstream_version 2.11

%global	__requires_exclude	perl\\(warnings::register\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    The Cache interface
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Cache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DB_File) >= 1.720.0
BuildRequires: perl(Date::Parse) >= 2.240.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Fcntl) >= 1.30.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::NFSLock) >= 1.200.0
BuildRequires: perl(File::Path) >= 1.0.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Heap::Fibonacci) >= 0.10.0
BuildRequires: perl(IO::File) >= 1.80.0
BuildRequires: perl(IO::Handle) >= 1.210.0
BuildRequires: perl(IO::String) >= 1.20.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Storable) >= 1.0.0
BuildRequires: perl(Symbol) >= 1.20.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildArch:  noarch

%{?perl_default_filter}

%description
%{upstream_name} perl module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Cache*
%{_mandir}/man3/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.110.0-4pclos2017
- rebuild against updates

